View Issue Details

IDProjectCategoryView StatusLast Update
0032989Open CASCADEOCCT:Data Exchangepublic2022-10-19 15:55
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032989: Data Exchange, RWGltf_CafReader - fill in metadata map from asset.extras
DescriptionRWGltf_CafWriter writes document-level metadata map into asset.extras, so that reading this information back within RWGltf_CafReader would be logical.
Steps To Reproduce
pload XDE
ReadGltf [locate_data_file bug30691_DamagedHelmet.gltf] -assetInfo
TagsNo tags attached.
Test case numberde_mesh/gltf_read/helmet

Relationships

child of 0030953 closedbugmaster Data Exchange - implement export of mesh data into glTF 2.0 format 
child of 0030691 closedbugmaster Data Exchange - implement import of mesh data from files in glTF format 

Activities

git

2022-05-25 21:37

administrator   ~0108615

Branch CR32989 has been created by kgv.

SHA-1: a380e30923938489fb511ad06d2bfdb0876ce4ac


Detailed log of new commits:

Author: kgv
Date: Wed May 25 21:19:43 2022 +0300

    0032989: Data Exchange, RWGltf_CafReader - fill in metadata map from asset.extras

git

2022-05-25 21:48

administrator   ~0108616

Branch CR32989 has been updated forcibly by kgv.

SHA-1: 8e441d57bdbeace57670d9f2e0d096ae2d9b0537

git

2022-05-26 09:56

administrator   ~0108618

Branch CR32989 has been updated forcibly by kgv.

SHA-1: f2edfd21351406eb6b000c0f9441f89a082dd9a4

kgv

2022-05-26 11:58

developer   ~0108621

Patch is ready for review
- OCCT: branch CR32989.

http://jenkins-test-occt/view/CR32989-master-KGV/

osa

2022-05-26 12:56

developer   ~0108623

The patch was reviewed

afokin

2022-05-27 12:37

administrator   ~0108645

Failed tests.

git

2022-05-27 14:52

administrator   ~0108656

Branch CR32989 has been updated forcibly by kgv.

SHA-1: fa39a387da579bdb5419c92e58774b9cc945a9b2

kgv

2022-05-27 14:54

developer   ~0108657

Please take updated patch in branch CR32989.

afokin

2022-06-04 10:00

administrator   ~0108844

Combination -
OCCT branch : IR-2022-06-04
master SHA - 24e4b3c83b237dad583f87c983eb06433d56c203
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-06-04 SHA - ad07e82b28135dbba6cde30827d08f1c0598cf50
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18736.560000000623 / 18755.550000000607 [-0.10%]
Products
Total CPU difference: 11708.410000000114 / 11723.710000000106 [-0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 20637.375 / 20721.125 [-0.40%]
Products
Total CPU difference: 13299.6875 / 13249.9375 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-06-04 12:59

administrator   ~0108857

Branch CR32989 has been deleted by mnt.

SHA-1: fa39a387da579bdb5419c92e58774b9cc945a9b2

Related Changesets

occt: master e9c43fee

2022-05-25 21:19:43

kgv


Committer: afokin Details Diff
0032989: Data Exchange, RWGltf_CafReader - fill in metadata map from asset.extras Affected Issues
0032989
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff File
mod - src/RWGltf/RWGltf_GltfJsonParser.hxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff File
mod - tests/de_mesh/gltf_read/helmet Diff File

Issue History

Date Modified Username Field Change
2022-05-25 21:16 kgv New Issue
2022-05-25 21:16 kgv Assigned To => kgv
2022-05-25 21:37 git Note Added: 0108615
2022-05-25 21:48 git Note Added: 0108616
2022-05-26 09:56 git Note Added: 0108618
2022-05-26 11:58 kgv Assigned To kgv => osa
2022-05-26 11:58 kgv Status new => resolved
2022-05-26 11:58 kgv Note Added: 0108621
2022-05-26 11:59 kgv Steps to Reproduce Updated
2022-05-26 11:59 kgv Test case number => de_mesh/gltf_read/helmet
2022-05-26 12:01 kgv Relationship added child of 0030953
2022-05-26 12:01 kgv Relationship added child of 0030691
2022-05-26 12:56 osa Status resolved => assigned
2022-05-26 12:56 osa Note Added: 0108623
2022-05-26 12:57 osa Status assigned => resolved
2022-05-26 12:57 osa Assigned To osa => bugmaster
2022-05-26 12:57 osa Status resolved => reviewed
2022-05-27 12:37 afokin Assigned To bugmaster => kgv
2022-05-27 12:37 afokin Status reviewed => assigned
2022-05-27 12:37 afokin Note Added: 0108645
2022-05-27 14:52 git Note Added: 0108656
2022-05-27 14:54 kgv Assigned To kgv => bugmaster
2022-05-27 14:54 kgv Status assigned => resolved
2022-05-27 14:54 kgv Note Added: 0108657
2022-05-27 14:54 kgv Status resolved => reviewed
2022-05-27 18:09 afokin Assigned To bugmaster => kgv
2022-05-27 18:09 afokin Status reviewed => assigned
2022-05-27 19:12 kgv Assigned To kgv => bugmaster
2022-05-27 19:12 kgv Status assigned => resolved
2022-05-27 19:12 kgv Status resolved => reviewed
2022-06-04 10:00 afokin Status reviewed => tested
2022-06-04 10:00 afokin Note Added: 0108844
2022-06-04 12:56 afokin Changeset attached => occt master e9c43fee
2022-06-04 12:56 kgv Assigned To bugmaster => kgv
2022-06-04 12:56 kgv Status tested => verified
2022-06-04 12:56 kgv Resolution open => fixed
2022-06-04 12:59 git Note Added: 0108857
2022-10-19 15:55 smoskvin Assigned To kgv => vpozdyayev